<?php
function treatmentShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-treatment');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_treatment_npp_count',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-12 col-md-12 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-12 col-md-12 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-treatment-thumb');
                $post = get_post();

                ?>

                <div class="<?php echo $colCls;?> peccular-treatment-b pd-0">
                    <div treatment-match-height="groupName" class="peccular-treatment-single <?php echo esc_attr(get_theme_mod('peccular_treatment_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s" style="text-align : <?php if(get_theme_mod('peccular_treatment_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_treatment_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_treatment_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
 
                        <a href="<?php the_permalink(); ?>" class="picon">
                        <div class="peccular-treatment-img">
                        <?php
                        if (has_post_thumbnail()) {
                        $image_url = $peccular_image[0];
                        } else {
                        $image_url = get_template_directory_uri() . '/images/services.jpg';
                        }
                        ?>                            
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="treatment" style="height: <?php echo esc_attr(get_theme_mod('peccular_treatment_post_image_height','363')) ?>px;" />
                        <div class="courseimeOverly"></div>
                        </div>
                        </a>

                        <div class="peccular-treatment-content" style="text-align: <?php if(get_theme_mod('peccular_treatment_box_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_treatment_box_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_treatment_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
                        <h4 class="peccular-treatment-title inner-area-title" style="text-transform : <?php if(get_theme_mod('peccular_treatment_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_treatment_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_treatment_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?>">
                        <?php the_title(); ?>
                        </h4>
                       <!--  <div class="btm_data">
                                <div class="row">
                            <div class="col-lg-9 col-md-9 col-sm-12 pd-0">
                                <a href="<?php the_permalink(); ?>"><p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_treatment_post_excerpt','8')) ) ); ?>
                        
                                </p></a>
                                  
                            </div>
                              <div class="col-lg-3 col-md-3 col-sm-12 pd-0">
                                       <?php if( get_theme_mod('peccular_treatment_button_enable',true) == true){ ?>
                                      <a href="<?php the_permalink(); ?>" class="read-btn"><i class="fa fa-long-arrow-right" aria-hidden="true"></i></a>

                                    <?php }?>
                              </div>
                        </div>
                        </div> -->
                    
                         
                                   
                        <div class="clearfix"></div>
                        </div>
                               
                      </div>
                            
                        </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function treatmentinnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-treatment');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_treatment_npp_count',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
            ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-treatment-thumb');
                $post = get_post();

                ?>

            <div class="<?php echo $colCls;?> peccular-treatment-b">
            <div treatment-match-height="groupName" class="peccular-treatment-single <?php echo esc_attr(get_theme_mod('peccular_treatment_page_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s" style="text-align : <?php if(get_theme_mod('peccular_treatmentinnpage_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_treatmentinnpage_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_treatmentinnpage_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                    <div class="treatmentover"></div>              
            <a href="<?php the_permalink(); ?>" class="picon">
                <div class="peccular-treatment-img">
                        <?php
                        if (has_post_thumbnail()) {
                        $image_url = $peccular_image[0];
                        } else {
                        $image_url = get_template_directory_uri() . '/images/services.jpg';
                        }
                        ?>                            
                    <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="treatment" style="height: <?php echo esc_attr(get_theme_mod('peccular_treatment_innpost_image_height','363')) ?>px;" />

                </div>
            
            </a> 
                  <div class="peccular-treatment-content">
                <h4 class="peccular-treatment-title inner-area-title" style="text-transform : <?php if(get_theme_mod('peccular_treatmentinnpage_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_treatmentinnpage_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_treatmentinnpage_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?>">
                    <a href="<?php the_permalink(); ?>" > 
                       <?php the_title(); ?>
                    </a>
                </h4>
                <!-- <p>
                   <?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_treatment_page_post_excerpt','15')) ) ); ?>
                </p> -->  
                <?php
                $peccular_treatmentinn_button_text = get_theme_mod('peccular_treatmentinn_button_text', 'Read More'); 
                ?>
                <!-- <?php if( get_theme_mod('peccular_treatmentinn_button_enable',true) == true){ ?>
                    <div class="treatmentbtn">
                          <a href="<?php the_permalink(); ?>" class="read-btn"><?php echo ($peccular_treatmentinn_button_text );  ?> </a>
                    </div>
                <?php }?> -->
                </div> 

                         
                </div>
                </div>
<?php endwhile;  ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}




add_shortcode('TESTIMONIALS', 'testimonialinnerpageShortCode');
add_shortcode('TEAM', 'teaminnerpageShortCode');
add_shortcode('TREATMENT', 'treatmentinnerpageShortCode');
// add_shortcode('SERVICES', 'servicesInnerpgeShortCode');
add_shortcode('FAQS', 'faqShortcode');
add_shortcode('GALLERY', 'galleryinnerpageShortCode');