<?php 
    $wp_customize->add_section(
        'peccular_pet-clinic-center_section',
        array(
            'title' => __( 'Pet-Clinic-Center', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>19
        )
    );   
 
$wp_customize->add_setting('peccular_pet-clinic-center_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_pet-clinic-center_nav', array(
       'section' => 'peccular_pet-clinic-center_section',
       'priority' => 1,
       'buttons' => array(
          array( 
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_pet-clinic-center_enable',
                'clinic_AnimatedImage_display',
                'peccular_pet-clinic-center_image',                
                'peccular_pet-clinic-center_section_title1',
                'peccular_pet-clinic-center_head_icon_enable',
                'peccular_pet-clinic-center_head_icon',
                'peccular_pet-clinic-center_subtitle',
                'peccular_pet-clinic-center_text',
                'peccular_pet-clinic-center_texttext',
                'peccular_pet-clinic-center_page_list',                
                'peccular_pet-clinic-center_button_display',
                'peccular_pet-clinic-center_btn_txt',
                'peccular_pet-clinic-center_btnlink',
                'peccular_pet-clinic-center_section_title2',
                'peccular_pet-clinic-center_section_lbl1',
                'peccular_pet-clinic-center_section_lbl3',
 
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_pet-clinic-center_section_bg_color',
                'peccular_pet-clinic-center_section_bg_image',
                'peccular_pet-clinic-center_image_opacity',                
                'peccular_pet-clinic-center_box_onload_effects',
                'peccular_pet-clinic-center_head_align',
                'peccular_pet-clinic-center_title_case',
                'peccular_pet-clinic-center_heading_color',
                'peccular_clinic_headingBorder_color',
                'peccular_clinic_RghtHeading_color',
                'peccular_clinic_RhtList_color',
                'peccular_clinic_RhtListIcon_color',
                'peccular_clinic_RhtListIconHover_color',
                'peccular_clinic_imageBGShp_color',
                'peccular_pet-clinic-center_text_color',
                'peccular_pet-clinic-center_button_color',
                'peccular_pet-clinic-center_buttonBG_color',
                'peccular_pet-clinic-center_buttonhovtxt_color',
                'peccular_pet-clinic-center_buttonhovBG_color',
                'peccular_pet-clinic-center_buttonhovBorder_color'
              
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_pet-clinic-center_padding',
                'peccular_pet-clinic-center_top_padding',
                'peccular_pet-clinic-center_bottom_padding',
                'peccular_pet-clinic-center_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_pet-clinic-center_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_pet-clinic-center_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_pet-clinic-center_section'
)));


$wp_customize->add_setting( 'clinic_AnimatedImage_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'clinic_AnimatedImage_display', array( 'label' => 'Background Animated Images Display', 'section' => 'peccular_pet-clinic-center_section', 'settings' => 'clinic_AnimatedImage_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Images', 'hide' => 'Hide Images', ), ) ); 


    $wp_customize->add_setting( 'peccular_pet-clinic-center_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_pet-clinic-center_image', array(
        'label' => __('Pet-Clinic-Center Image','peccular'),
       'section' => 'peccular_pet-clinic-center_section',
    )));

    $wp_customize->add_setting('peccular_pet-clinic-center_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_pet-clinic-center_section_lbl1',
        array(
            'settings'      => 'peccular_pet-clinic-center_section_lbl1',
            'section'       => 'peccular_pet-clinic-center_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take First Image size 520px x 476px  ', 'peccular Premium' ),
        )
    )
);


$wp_customize->add_setting(
    'peccular_pet-clinic-center_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Welcome to </br>Pet Clinic Center!', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_pet-clinic-center_section_title1',
    array(
        'settings'      => 'peccular_pet-clinic-center_section_title1',
        'section'       => 'peccular_pet-clinic-center_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_pet-clinic-center_section_title2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'We Love Our Job!', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_pet-clinic-center_section_title2',
    array(
        'settings'      => 'peccular_pet-clinic-center_section_title2',
        'section'       => 'peccular_pet-clinic-center_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_pet-clinic-center_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'We will Make Your Pets Really Happy', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_pet-clinic-center_subtitle',
    array(
        'settings'      => 'peccular_pet-clinic-center_subtitle',
        'section'       => 'peccular_pet-clinic-center_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_pet-clinic-center_page_list',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
            <li>Compassionate</li> 
            <li>Experienced</li>
            <li>Trusted</li>
            <li>Lorem Ipsum</li>
            <li>Lorem Trusted Ipsum</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_pet-clinic-center_page_list',
    array(
        'settings'      => 'peccular_pet-clinic-center_page_list',
        'section'       => 'peccular_pet-clinic-center_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points ', 'peccular-premium' )
    )
);


    $wp_customize->add_setting( 'peccular_pet-clinic-center_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_pet-clinic-center_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_pet-clinic-center_section',
    )));

    $wp_customize->add_setting( 'peccular_pet-clinic-center_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_pet-clinic-center_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_pet-clinic-center_section',
    )));


    $wp_customize->add_setting('peccular_pet-clinic-center_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_pet-clinic-center_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_pet-clinic-center_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

 

// to show & hide another button
// $wp_customize->add_setting( 'peccular_pet-clinic-center_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_pet-clinic-center_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_pet-clinic-center_section', 'settings' => 'peccular_pet-clinic-center_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 

    $wp_customize->add_setting( 'peccular_pet-clinic-center_button_display',array(
        'default' => true,
        'sanitize_callback' => 'peccular_switch_sanitization'
    ) );
    $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_pet-clinic-center_button_display',array(
        'label' => __( 'Button Display','peccular' ),
        'section' => 'peccular_pet-clinic-center_section'
    )));

// end to show & hide button
// appointment 
    $wp_customize->add_setting(
        'peccular_pet-clinic-center_btn_txt',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Read More' )
        )
    );
    $wp_customize->add_control(
        'peccular_pet-clinic-center_btn_txt',
        array(
            'settings'      => 'peccular_pet-clinic-center_btn_txt',
            'section'       => 'peccular_pet-clinic-center_section',
            'type'          => 'text',
            'label'         => __( 'Button Text', 'peccular-premium' )
        )
    );
    $wp_customize->add_setting('peccular_pet-clinic-center_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
    $wp_customize->add_control('peccular_pet-clinic-center_btnlink',
        array(
            'settings'      => 'peccular_pet-clinic-center_btnlink',
            'section'       => 'peccular_pet-clinic-center_section',
            'type'          => 'url',
            'label'         => __( 'Add Button link here', 'peccular-premium' )
        )
    );

    $wp_customize->add_setting('peccular_pet-clinic-center_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_pet-clinic-center_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_pet-clinic-center_section',
    ));

    $wp_customize->add_setting('peccular_pet-clinic-center_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_pet-clinic-center_head_align',array(
        'type' => 'select',
        'label' => __('Heading Alignment','peccular'),
        'choices' => array (
            'Left' => __('Left','peccular'),
            'Center' => __('Center','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_pet-clinic-center_section',
    ));

    $wp_customize->add_setting('peccular_pet-clinic-center_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_pet-clinic-center_title_case',array(
        'type' => 'select',
        'label' => __('pet-clinic-center Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_pet-clinic-center_section',
    ));


    $wp_customize->add_setting('peccular_pet-clinic-center_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_pet-clinic-center_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_pet-clinic-center_section'
   ));
   
    $wp_customize->add_setting('peccular_pet-clinic-center_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_pet-clinic-center_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_pet-clinic-center_section',
    ));
     $wp_customize->add_setting('peccular_pet-clinic-center_bottom_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_pet-clinic-center_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_pet-clinic-center_section',
    ));

    $wp_customize->add_setting('peccular_pet-clinic-center_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_pet-clinic-center_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Full Width' => __('Full Width','peccular'),
            'Box Width' => __('Box Width','peccular'),
            
        ),
        'section' => 'peccular_pet-clinic-center_section',
    ));



addColorPalatOption($wp_customize, 'peccular_pet-clinic-center_heading_color', 'peccular_pet-clinic-center_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_clinic_headingBorder_color', 'peccular_pet-clinic-center_section', 'Heading Border Color', '');

addColorPalatOption($wp_customize, 'peccular_clinic_RghtHeading_color', 'peccular_pet-clinic-center_section', 'Right Heading Color', '');

addColorPalatOption($wp_customize, 'peccular_pet-clinic-center_text_color', 'peccular_pet-clinic-center_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_clinic_RhtList_color', 'peccular_pet-clinic-center_section', 'List Text Color', '');

addColorPalatOption($wp_customize, 'peccular_clinic_RhtListIcon_color', 'peccular_pet-clinic-center_section', 'List Text Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_clinic_RhtListIconHover_color', 'peccular_pet-clinic-center_section', 'List Text Icon Hover Color', '');


addColorPalatOption($wp_customize, 'peccular_clinic_imageBGShp_color', 'peccular_pet-clinic-center_section', 'Image BG Shape Color', '');


addColorPalatOption($wp_customize, 'peccular_pet-clinic-center_button_color', 'peccular_pet-clinic-center_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_pet-clinic-center_buttonBG_color', 'peccular_pet-clinic-center_section', 'Button BG Color', '');

addColorPalatOption($wp_customize, 'peccular_pet-clinic-center_buttonhovtxt_color', 'peccular_pet-clinic-center_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_pet-clinic-center_buttonhovBG_color', 'peccular_pet-clinic-center_section', 'Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_pet-clinic-center_buttonhovBorder_color', 'peccular_pet-clinic-center_section', 'Button Hover Border Color', '');


?>