<?php
$wp_customize->add_section(
    'peccular_treatment_section',
    array(
        'title' => __( 'Our Treatment', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>20
    )
);
  
$wp_customize->add_setting('peccular_treatment_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 
   
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_treatment_nav', array(
       'section' => 'peccular_treatment_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_treatment_enable', 
                'treatment_BGImage_display',
                'peccular_treatment_subtitle',
                'peccular_treatment_subtitle2',
                'peccular_treatment_area_lbl', 
                'peccular_treatment_section_lbl',
                'peccular_lefttreatment_npp_count',
                'peccular_lefttreatment_heading1',
                'peccular_lefttreatment_page1',
                'peccular_lefttreatment_heading2',
                'peccular_lefttreatment_page2',
                'peccular_lefttreatment_heading3',
                'peccular_lefttreatment_page3',
                'peccular_lefttreatment_heading4',
                'peccular_lefttreatment_page4',
                'peccular_lefttreatment_heading5',
                'peccular_lefttreatment_page5',
                'peccular_lefttreatment_heading6',
                'peccular_lefttreatment_page6', 

                'peccular_treatment_npp_count',
                'peccular_treatment_heading1',
                'peccular_treatment_page1',
                'peccular_treatment_heading2',
                'peccular_treatment_page2',
                'peccular_treatment_heading3',
                'peccular_treatment_page3',
                'peccular_treatment_heading4',
                'peccular_treatment_page4',
                'peccular_treatment_heading5',
                'peccular_treatment_page5',
                'peccular_treatment_heading6',
                'peccular_treatment_page6',
                'peccular_treatment_heading7',
                'peccular_treatment_page7',
                'peccular_treatment_heading8',
                'peccular_treatment_page8',
                'peccular_treatment_heading9',
                'peccular_treatment_page9',
                'peccular_treatment_heading10',
                'peccular_treatment_page10',
                'peccular_treatment_heading11',
                'peccular_treatment_page11',
                'peccular_treatment_heading12',
                'peccular_treatment_page12',
                'peccular_treatment_button_enable',
                'peccular_treatment_button_text',
                'peccular_treatment_subtitle2link'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_treatment_section_bg_color',
                'peccular_treatment_section_bg_image',
                'peccular_treatment_image_opacity',                               
                'peccular_treatment_box_onload_effects', 
                'peccular_treatment_title_case',
                'peccular_treatment_head_align',
                'peccular_treatment_box_align',
                'peccular_treatment_subheading_color',
                'peccular_treatment_headingbrdr_color',
                'peccular_treatment_title_color',      
                'peccular_treatment_sliderDot_color',
                'peccular_treatment_ActiveDot_color',
                'peccular_treatment_imghvrOvrly_color1',
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_treatment_padding',
                'peccular_treatment_section_t_padding',
                'peccular_treatment_section_b_padding',
                'peccular_treatment_section_width',
                'peccular_treatment_post_image_height',
                'peccular_treatment_post_excerpt'
            ),
         )
        ),
    )));


$wp_customize->add_setting( 'peccular_treatment_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_treatment_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_treatment_section'
)));

$wp_customize->add_setting( 'treatment_BGImage_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'treatment_BGImage_display', array( 'label' => 'Background Animated Images Display', 'section' => 'peccular_treatment_section', 'settings' => 'treatment_BGImage_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Images', 'hide' => 'Hide Images', ), ) ); 


$wp_customize->add_setting(
    'peccular_treatment_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Treatment', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_treatment_subtitle',
    array(
        'settings'      => 'peccular_treatment_subtitle',
        'section'       => 'peccular_treatment_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

    // $wp_customize->add_setting( 'peccular_treatment_button_enable',array(
    //     'default' => true,
    //     'sanitize_callback' => 'peccular_switch_sanitization'
    // ) );
    // $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_treatment_button_enable',array(
    //     'label' => __( 'Left Button Display','peccular' ),
    //     'section' => 'peccular_treatment_section'
    // )));

// $wp_customize->add_setting(
//     'peccular_treatment_subtitle2',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//         'default'           => __( 'View All', 'peccular' )
//     )
// );

// $wp_customize->add_control(
//     'peccular_treatment_subtitle2',
//     array(
//         'settings'      => 'peccular_treatment_subtitle2',
//         'section'       => 'peccular_treatment_section', 
//         'type'          => 'text',
//         'label'         => __( 'Left Side Button Text', 'peccular' )
//     )
// );
// $wp_customize->add_setting('peccular_treatment_subtitle2link',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_treatment_subtitle2link',
//     array(
//         'settings'      => 'peccular_treatment_subtitle2link',
//         'section'       => 'peccular_treatment_section',
//         'type'          => 'url',
//         'label'         => __( 'Add Button link here', 'peccular-premium' )
//     )
// );

$treatmentSingleChoice[] = 'select';
if(!is_array($treatmentSingleChoice)){
    $wp_customize->add_setting('peccular_treatment_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_treatment_area_lbl',
            array(
                'settings'      => 'peccular_treatment_area_lbl',
                'section'       => 'peccular_treatment_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the treatment.</strong> <br/>Please add the treatment from "treatment menu" and then select Testimonial to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_treatment_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_treatment_section_lbl',
        array(
            'settings'      => 'peccular_treatment_section_lbl',
            'section'       => 'peccular_treatment_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[treatment]" in your page to list the treatment in a page ', 'peccular Premium' ),
        )
    )
);



// treatment At Left Side NEw
// $wp_customize->add_setting('peccular_lefttreatment_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 0));
// $wp_customize->add_control(
//     'peccular_lefttreatment_npp_count',
//     array(
//         'settings'      => 'peccular_lefttreatment_npp_count',
//         'section'       => 'peccular_treatment_section',
//         'type'          => 'select',
//         'label'         => __( 'Select treatment At Left Side', 'peccular-premium' ),
//         'choices'=>array(1)
//     )
// );

//Left Side treatment PAGES
// for( $i = 1; $i<= 1; $i++ ){
//     $wp_customize->add_setting(
//         'peccular_lefttreatment_heading'.$i,
//         array(
//             'sanitize_callback' => 'peccular_sanitize_text'
//         )
//     );
//     $wp_customize->add_control(
//         new peccular_Customize_Heading(
//             $wp_customize,
//             'peccular_lefttreatment_heading'.$i,
//             array(
//                 'settings'      => 'peccular_lefttreatment_heading'.$i,
//                 'section'       => 'peccular_treatment_section',
//                 'label'         => __( 'treatment ', 'peccular Premium' ).$i,
//             )
//         )
//     );
//     $wp_customize->add_setting(
//         'peccular_lefttreatment_page'.$i,
//         array(
//             'sanitize_callback' => 'absint'
//         )
//     );
//     $wp_customize->add_control(
//         'peccular_lefttreatment_page'.$i,
//         array(
//             'settings'      => 'peccular_lefttreatment_page'.$i,
//             'section'       => 'peccular_treatment_section',
//             'type'=> 'select',
//             'label'         => __( 'Select treatment', 'peccular Premium' ),
//             'choices' => $treatmentSingleChoice,
//         )
//     );
// }


$wp_customize->add_setting('peccular_treatment_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_treatment_npp_count',
    array(
        'settings'      => 'peccular_treatment_npp_count',
        'section'       => 'peccular_treatment_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Treatment To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//treatment PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_treatment_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_treatment_heading'.$i,
            array(
                'settings'      => 'peccular_treatment_heading'.$i,
                'section'       => 'peccular_treatment_section',
                'label'         => __( 'Treatment ', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_treatment_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'peccular_treatment_page'.$i,
        array(
            'settings'      => 'peccular_treatment_page'.$i,
            'section'       => 'peccular_treatment_section',
            'type'=> 'select',
            'label'         => __( 'Select A Treatment', 'peccular Premium' ),
            'choices' => $treatmentSingleChoice,
        )
    );
}


    // $wp_customize->add_setting(
    //     'peccular_treatment_button_text',
    //     array(
    //         'sanitize_callback' => 'peccular_sanitize_text',
    //         'default'           => __( 'Read More' )
    //     )
    // );
    // $wp_customize->add_control(
    //     'peccular_treatment_button_text',
    //     array(
    //         'settings'      => 'peccular_treatment_button_text',
    //         'section'       => 'peccular_treatment_section',
    //         'type'          => 'text',
    //         'label'         => __( 'Button Text', 'peccular-premium' )
    //     )
    // );


    $wp_customize->add_setting('peccular_treatment_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_treatment_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_treatment_section',
    ));


    $wp_customize->add_setting('peccular_treatment_post_image_height',array(
        'default' => 363,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_treatment_post_image_height',array(
    'label' => __('Image Height','peccular'),
    'section' => 'peccular_treatment_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('peccular_treatment_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_treatment_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_treatment_section'
   ));

     $wp_customize->add_setting('peccular_treatment_section_t_padding',array(
        'default' => '1.5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_treatment_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_treatment_section',
    ));
     $wp_customize->add_setting('peccular_treatment_section_b_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_treatment_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_treatment_section',
    ));

// backgroundManager($wp_customize, 'treatment', 'peccular_treatment_section', $color='#fdfdfd',get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_treatment_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_treatment_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_treatment_section',
    )));

    $wp_customize->add_setting( 'peccular_treatment_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_treatment_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_treatment_section',
    )));


     $wp_customize->add_setting('peccular_treatment_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_treatment_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_treatment_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_treatment_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_treatment_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_treatment_section',
    ));

$wp_customize->add_setting('peccular_treatment_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_treatment_title_case',array(
        'type' => 'select',
        'label' => __('Treatment Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_treatment_section',
    ));

    $wp_customize->add_setting('peccular_treatment_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_treatment_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Left' => __('Left','peccular'),
            'Center' => __('Center','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_treatment_section',
    ));

    //  $wp_customize->add_setting('peccular_treatment_box_align',array(
    //     'default' => 'Left',
    //     'sanitize_callback' => 'peccular_sanitize_choices',
    // ));
    // $wp_customize->add_control('peccular_treatment_box_align',array(
    //     'type' => 'select',
    //     'label' => __('Content Box Alignment','peccular'),
    //     'choices' => array (
    //         'Center' => __('Center','peccular'),
    //         'Left' => __('Left','peccular'),
    //         'Right' => __('Right','peccular')
    //     ),
    //     'section' => 'peccular_treatment_section',
    // ));


    //     $wp_customize->add_setting('peccular_treatment_post_excerpt',array(
    //     'default' => 8,
    //     'sanitize_callback' => 'peccular_sanitize_integer'
    // ));
    // $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_treatment_post_excerpt',array(
    // 'label' => __('Excerpt Length','peccular'),
    // 'section' => 'peccular_treatment_section',
    // 'input_attrs' => array(
    //         'min' => 0,
    //         'max' => 100,
    //         'step' => 1,
    //     ),
    // )));

 
addColorPalatOption($wp_customize, 'peccular_treatment_subheading_color', 'peccular_treatment_section', 'Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_treatment_headingbrdr_color', 'peccular_treatment_section', 'Heading Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_treatment_title_color', 'peccular_treatment_section', 'Title Color', '');

addColorPalatOption($wp_customize, 'peccular_treatment_sliderDot_color', 'peccular_treatment_section', 'Slider Dot Color', '');
addColorPalatOption($wp_customize, 'peccular_treatment_ActiveDot_color', 'peccular_treatment_section', 'Slider Active Dot Color', '');
addColorPalatOption($wp_customize, 'peccular_treatment_imghvrOvrly_color1', 'peccular_treatment_section', 'Image Hover Overlay Color', '');
 ?>