<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  )); 

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  )); 
 
//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) ); 
    
    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
               
                'peccular_rightcontactpage_maintitle',
                'peccular_contactpage_form_shortcode',
                'peccular_leftcontactpage_heading',
                'contactpageForm_BGImage_display',
                'peccular_contactpage_iframe_shortcode',
                'peccular_leftcontactpage_heading'  ,
                'peccular_middlecontactpage_Label'   , 
                'peccular_middleBx_title1', 
                'peccular_middleBx_text1',   
                'peccular_middleBx_title2',
                'peccular_middleBx_text2',
                'peccular_contactpage_middleRightimage',
                'peccular_bottomcontactpage_heading',
                'peccular_middleBx_title3',
                'peccular_middleBx_text3',
                'peccular_Topcontactpage_Label',
                'peccular_top_maintitle',
                'peccular_topbox_title1',
                'peccular_topbox_text1',
                'peccular_topbox_title2',
                'peccular_topbox_text2',
                'peccular_topbox_title3',
                'peccular_topbox_text3',
                'peccular_topbox_title4',
                'peccular_topbox_text4',

            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 

                'peccular_contactpage_box_onload_effects',
                'peccular_middlecontactpagecolor_heading',
                'peccular_rightcontactpagecolor_heading',
                'peccular_contactpagemiddle_heading_color',
                'peccular_contactpagemiddle_text_color',
                'peccular_contactpageleft_formtext_color',
                'peccular_contactpageleft_formborder_color',
                'peccular_contactpageleft_btntext_color',
                'peccular_contactpageleft_btnbg_color',
                'peccular_contactpageleft_btnhovtext_color',
                'peccular_contactpageleft_btnhovbg_color',
                'peccular_contactpagemiddle_leftboxbg_color',
                'peccular_Topcontactpage_ColorLabel',
                'peccular_contactpagetop_maintitle_color',
                'peccular_contactpagetop_boxtitle_color',
                'peccular_contactpagetop_boxtitleBG_color',
                'peccular_contactpagetop_boxtext_color',
                'peccular_contactpagetop_boxBG_color',
                'peccular_contactpagetop_boxtextBrder_color',    
                'peccular_contactpagetop_IcnBG_color',  
                'peccular_contactpagetop_IcnBordr_color'        
            ),
         )
        ),
    )));


//Top Contnt
     $wp_customize->add_setting(
        'peccular_Topcontactpage_Label',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_Topcontactpage_Label',
            array(
                'settings'      => 'peccular_Topcontactpage_Label',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Top Contact Side', 'peccular Premium' ),
    ))); 

    $wp_customize->add_setting(
        'peccular_top_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Whom do you need?', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_top_maintitle',
        array(
            'settings'      => 'peccular_top_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Main Title', 'peccular' )
        )
    );

//top box 1

    $wp_customize->add_setting(
        'peccular_topbox_title1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Pet Doctor', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_topbox_title1',
        array(
            'settings'      => 'peccular_topbox_title1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Title 1', 'peccular' )
        )
    );

        $wp_customize->add_setting(
        'peccular_topbox_text1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor do eiu et dolore magna aliqua.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_topbox_text1',
        array(
            'settings'      => 'peccular_topbox_text1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Text 1', 'peccular' )
        )
    );


//top box 2

    $wp_customize->add_setting(
        'peccular_topbox_title2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Pet Groomer', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_topbox_title2',
        array(
            'settings'      => 'peccular_topbox_title2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Title 2', 'peccular' )
        )
    );

        $wp_customize->add_setting(
        'peccular_topbox_text2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor do eiu et dolore magna aliqua.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_topbox_text2',
        array(
            'settings'      => 'peccular_topbox_text2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Text 2', 'peccular' )
        )
    );


    //top box 3

    $wp_customize->add_setting(
        'peccular_topbox_title3',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Pet Day Care', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_topbox_title3',
        array(
            'settings'      => 'peccular_topbox_title3',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Title 3', 'peccular' )
        )
    );

        $wp_customize->add_setting(
        'peccular_topbox_text3',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor do eiu et dolore magna aliqua.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_topbox_text3',
        array(
            'settings'      => 'peccular_topbox_text3',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Text 3', 'peccular' )
        )
    );


//top box 4

    $wp_customize->add_setting(
        'peccular_topbox_title4',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Pet Products', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_topbox_title4',
        array(
            'settings'      => 'peccular_topbox_title4',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Title 4', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_topbox_text4',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor do eiu et dolore magna aliqua.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_topbox_text4',
        array(
            'settings'      => 'peccular_topbox_text4',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Text 4', 'peccular' )
        )
    );



//Middle Contnt
     $wp_customize->add_setting(
        'peccular_middlecontactpage_Label',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_middlecontactpage_Label',
            array(
                'settings'      => 'peccular_middlecontactpage_Label',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Middle Contact Side', 'peccular Premium' ),
    )));  

    // 1st Option

       $wp_customize->add_setting(
        'peccular_middleBx_title1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'OPENING HOURS', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_middleBx_title1',
        array(
            'settings'      => 'peccular_middleBx_title1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Heading 1', 'peccular' )
        )
    );

           $wp_customize->add_setting(
        'peccular_middleBx_text1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Weekdays: 9:00am - 5.00pm </br>Weekends: 9:00am - 12:00pm', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_middleBx_text1',
        array(
            'settings'      => 'peccular_middleBx_text1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Text 1', 'peccular' )
        )
    );


    //2nd Option 

     $wp_customize->add_setting(
        'peccular_middleBx_title2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'PICKUP AND COLLECTION TIMES', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_middleBx_title2',
        array(
            'settings'      => 'peccular_middleBx_title2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Heading 2', 'peccular' )
        )
    );

           $wp_customize->add_setting(
        'peccular_middleBx_text2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Weekdays: 9:30am - 11:00am and 4:00pm - 5:00pm </br>Weekdays: 9:30am - 11:00am', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_middleBx_text2',
        array(
            'settings'      => 'peccular_middleBx_text2',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Text 2', 'peccular' )
        )
    );


    //3rd Option 

     $wp_customize->add_setting(
        'peccular_middleBx_title3',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'ADDRESS', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_middleBx_title3',
        array(
            'settings'      => 'peccular_middleBx_title3',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Heading 3', 'peccular' )
        )
    );

           $wp_customize->add_setting(
        'peccular_middleBx_text3',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur 123 CBD.', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_middleBx_text3',
        array(
            'settings'      => 'peccular_middleBx_text3',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Text 3', 'peccular' )
        )
    );


        $wp_customize->add_setting( 'peccular_contactpage_middleRightimage', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contactpage_middleRightimage', array(
        'label' => __('Right Side Image','peccular'),
       'section' => 'peccular_contact_pages',
    )));

// left side



     $wp_customize->add_setting(
        'peccular_bottomcontactpage_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_bottomcontactpage_heading',
            array(
                'settings'      => 'peccular_bottomcontactpage_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Bottom Contact Side', 'peccular Premium' ),
    ))); 

    $wp_customize->add_setting(
        'peccular_contactpage_form_shortcode',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Add form shortcode here', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_form_shortcode',
        array(
            'settings'      => 'peccular_contactpage_form_shortcode',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Form Shortcode ', 'peccular' )
        )
    );

$wp_customize->add_setting('peccular_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('peccular_contactpage_iframe_shortcode', array('settings'=>'peccular_contactpage_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));


$wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

   
     $wp_customize->add_setting(
        'peccular_Topcontactpage_ColorLabel',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_Topcontactpage_ColorLabel',
            array(
                'settings'      => 'peccular_Topcontactpage_ColorLabel',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Top Contact Colors', 'peccular Premium' ),
    ))); 

    addColorPalatOption($wp_customize, 'peccular_contactpagetop_maintitle_color', 'peccular_contact_pages', 'Main Title Color', '');
    addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxtitle_color', 'peccular_contact_pages', 'Box Title Color', '');
        addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxtitleBG_color', 'peccular_contact_pages', 'Box BG Color', '');

    addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxtext_color', 'peccular_contact_pages', 'Box Text Color', '');
        addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxBG_color', 'peccular_contact_pages', 'Text BG Color', '');

        addColorPalatOption($wp_customize, 'peccular_contactpagetop_boxtextBrder_color', 'peccular_contact_pages', 'Box Border Color', '');


    addColorPalatOption($wp_customize, 'peccular_contactpagetop_IcnBG_color', 'peccular_contact_pages', 'Icon BG Color', '');

    addColorPalatOption($wp_customize, 'peccular_contactpagetop_IcnBordr_color', 'peccular_contact_pages', 'Icon Border Color', '');

    $wp_customize->add_setting(
        'peccular_middlecontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_middlecontactpagecolor_heading',
            array(
                'settings'      => 'peccular_middlecontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Middle Contact Color', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_contactpagemiddle_leftboxbg_color', 'peccular_contact_pages', 'Box BG Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpagemiddle_heading_color', 'peccular_contact_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagemiddle_text_color', 'peccular_contact_pages', 'Text Color', '');


    $wp_customize->add_setting(
        'peccular_rightcontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_rightcontactpagecolor_heading',
            array(
                'settings'      => 'peccular_rightcontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Bottom Contact Color', 'peccular Premium' ),
    ))); 

    addColorPalatOption($wp_customize, 'peccular_contactpageleft_formtext_color', 'peccular_contact_pages', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_formborder_color', 'peccular_contact_pages', 'Form Border color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btntext_color', 'peccular_contact_pages', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnbg_color', 'peccular_contact_pages', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnhovtext_color', 'peccular_contact_pages', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnhovbg_color', 'peccular_contact_pages', 'Button Hover BG Color ', '');
?>