<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));


    $wp_customize->add_section( 'peccular_courses_inner_pages' , array(
        'title'    => __( 'Treatment Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_coursesinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_coursesinnerpages_nav', array(
       'section' => 'peccular_courses_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'courses_featured_img_on_off', 
                'peccular_coursesinnpage_content_align', 
                'peccular_courses_innpost_image_height',
                'peccular_treatmentinnpage_title_case'              
                
                ),            
                
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_treatmentinnpage_title_color',
                'peccular_treatmentinnpage_titleHover_color',
                'peccular_treatmentinnpage_Hoveroverlay_color1',
                'peccular_treatmentinnpage_Hoveroverlay_color2',
                'peccular_coursesinnpage_btntext_color',
                'peccular_coursesinnpage_btnhovtext_color',
                'peccular_coursesinnpage_icon_color',
                'peccular_coursesinnpage_text_color',
                'peccular_coursesinnpage_btnBG_color',
                'peccular_coursesinnpage_btnhovbg_color',                
            ),
         )
        ),
    ))); 

    // $wp_customize->add_setting('peccular_coursesinnpage_content_align',array(
    //     'default' => 'Left',
    //     'sanitize_callback' => 'peccular_sanitize_choices',
    // ));
    // $wp_customize->add_control('peccular_coursesinnpage_content_align',array(
    //     'type' => 'select',
    //     'label' => __('Content Box Alignment','peccular'),
    //     'choices' => array (
    //         'Center' => __('Center','peccular'),
    //         'Left' => __('Left','peccular'),
    //         'Right' => __('Right','peccular')
    //     ),
    //     'section' => 'peccular_courses_inner_pages',
    // ));

    // $wp_customize->add_setting('peccular_courses_innpost_image_height',array(
    //     'default' => 477,
    //     'sanitize_callback' => 'peccular_sanitize_integer'
    // ));
    // $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_courses_innpost_image_height',array(
    // 'label' => __('Image Height','peccular'),
    // 'section' => 'peccular_courses_inner_pages',
    // 'input_attrs' => array(
    //         'min' => 0,
    //         'max' => 500,
    //         'step' => 1,
    //     ),
    // )));

    $wp_customize->add_setting('peccular_treatmentinnpage_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_treatmentinnpage_title_case',array(
        'type' => 'select',
        'label' => __('Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            // 'None' => __('None','peccular')
        ),
        'section' => 'peccular_courses_inner_pages',
    ));

addColorPalatOption($wp_customize, 'peccular_treatmentinnpage_title_color', 'peccular_courses_inner_pages', 'Title Color', '');

addColorPalatOption($wp_customize, 'peccular_treatmentinnpage_titleHover_color', 'peccular_courses_inner_pages', 'Title Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_treatmentinnpage_Hoveroverlay_color1', 'peccular_courses_inner_pages', 'Hover Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_treatmentinnpage_Hoveroverlay_color2', 'peccular_courses_inner_pages', 'Hover Overlay Color', '');
?>